Package org.eclipse.e4.core.services.log

# Class Logger

java.lang.Object
org.eclipse.e4.core.services.log.Logger

public abstract class Logger extends Object
Logging warnings, errors, information, as well as capturing debug and trace information. Everything done through this interface is not meant for normal end users. Strings are not expected to be translated.

See Also:
  - `StatusReporter`

## Constructor Summary

Constructors
Constructor
Description
`Logger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(String message)`
`void`
`debug(String format, Object arg)`
`void`
`debug(String format, Object[] args)`
`void`
`debug(String format, Object arg1, Object arg2)`
`abstract void`
`debug(Throwable t)`
`abstract void`
`debug(Throwable t, String message)`
`void`
`error(String message)`
`void`
`error(String format, Object arg)`
`void`
`error(String format, Object[] args)`
`void`
`error(String format, Object arg1, Object arg2)`
`void`
`error(Throwable t)`
`abstract void`
`error(Throwable t, String message)`
`void`
`info(String message)`
`void`
`info(String format, Object arg)`
`void`
`info(String format, Object[] args)`
`void`
`info(String format, Object arg1, Object arg2)`
`void`
`info(Throwable t)`
`abstract void`
`info(Throwable t, String message)`
`abstract boolean`
`isDebugEnabled()`
`abstract boolean`
`isErrorEnabled()`
`abstract boolean`
`isInfoEnabled()`
`abstract boolean`
`isTraceEnabled()`
`abstract boolean`
`isWarnEnabled()`
`void`
`trace(String message)`
`void`
`trace(String format, Object arg)`
`void`
`trace(String format, Object[] args)`
`void`
`trace(String format, Object arg1, Object arg2)`
`void`
`trace(Throwable t)`
`abstract void`
`trace(Throwable t, String message)`
`void`
`warn(String message)`
`void`
`warn(String format, Object arg)`
`void`
`warn(String format, Object[] args)`
`void`
`warn(String format, Object arg1, Object arg2)`
`void`
`warn(Throwable t)`
`abstract void`
`warn(Throwable t, String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Logger

public Logger()

## Method Details

### isErrorEnabled

public abstract boolean isErrorEnabled()

### error

public abstract void error(Throwable t, String message)

### isWarnEnabled

public abstract boolean isWarnEnabled()

### warn

public abstract void warn(Throwable t, String message)

### isInfoEnabled

public abstract boolean isInfoEnabled()

### info

public abstract void info(Throwable t, String message)

### isTraceEnabled

public abstract boolean isTraceEnabled()

### trace

public abstract void trace(Throwable t, String message)

### isDebugEnabled

public abstract boolean isDebugEnabled()

### debug

public abstract void debug(Throwable t)

### debug

public abstract void debug(Throwable t, String message)

### debug

public void debug(String message)

### debug

public void debug(String format, Object arg)

### debug

public void debug(String format, Object arg1, Object arg2)

### debug

public void debug(String format, Object[] args)

### error

public void error(Throwable t)

### error

public void error(String message)

### error

public void error(String format, Object arg)

### error

public void error(String format, Object arg1, Object arg2)

### error

public void error(String format, Object[] args)

### info

public void info(Throwable t)

### info

public void info(String message)

### info

public void info(String format, Object arg)

### info

public void info(String format, Object arg1, Object arg2)

### info

public void info(String format, Object[] args)

### trace

public void trace(Throwable t)

### trace

public void trace(String message)

### trace

public void trace(String format, Object arg)

### trace

public void trace(String format, Object arg1, Object arg2)

### trace

public void trace(String format, Object[] args)

### warn

public void warn(Throwable t)

### warn

public void warn(String message)

### warn

public void warn(String format, Object arg)

### warn

public void warn(String format, Object arg1, Object arg2)

### warn

public void warn(String format, Object[] args)